%bcond_without qt4
%bcond_without doc

Name: eigen2
Summary: Lightweight C++ template library for vector and matrix math, a.k.a. linear algebra
Epoch: 2
Version: 2.0.17
Release: %mkrel 9
Group: System/Libraries
License: LGPLv3+ or GPLv2+
URL: http://eigen.tuxfamily.org/
Source: http://bitbucket.org/eigen/eigen/get/%{version}.tar.bz2
BuildRequires: cmake >= 2.6.1
%if %{with doc}
BuildRequires: doxygen
BuildRequires: ghostscript-common
BuildRequires: graphviz
BuildRequires: texlive
BuildRequires: texlive-texmf
%endif
BuildRequires: blas-devel
BuildRequires: lapack-devel
BuildRequires: pkgconfig(gsl)
%if %{with qt4}
BuildRequires: qt4-devel
%endif
BuildArch: noarch
Obsoletes: eigen
Obsoletes: eigen-devel

%description
Eigen is a lightweight C++ template library for vector and matrix
math, a.k.a. linear algebra.

%prep
%setup -q -n eigen-eigen-%{version}

%build
export CXXFLAGS="$CXXFLAGS -fpermissive"
export CFLAGS="$CFLAGS -fpermissive"
export CPPFLAGS="$CPPFLAGS -fpermissive"

%cmake
#-DEIGEN_BUILD_TESTS=ON
%cmake_build

%if %{with doc}
# this should be fixed later in cmake doc
 doxygen

cd latex
 make refman.pdf
%endif

%install
%cmake_install

#%%check
#cd test
#%%cmake
#make test
#cd -

%files
%license COPYING COPYING.LESSER
%if %{with doc}
%doc html/
#latex/refman.pdf
%endif
%dir %{_includedir}/eigen2/
%{_includedir}/eigen2/*
%{_datadir}/pkgconfig/*.pc


%changelog
* Fri Feb 14 2020 daviddavid <daviddavid> 2:2.0.17-9.mga8
+ Revision: 1519359
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2:2.0.17-8.mga7
+ Revision: 1273740
- Mageia 7 Mass Rebuild

* Mon Feb 01 2016 umeabot <umeabot> 2:2.0.17-7.mga6
+ Revision: 930265
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2:2.0.17-6.mga5
+ Revision: 739933
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2:2.0.17-5.mga5
+ Revision: 678979
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 2:2.0.17-4.mga4
+ Revision: 545841
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 2:2.0.17-3.mga4
+ Revision: 501915
- update texlive BRs

* Fri Jan 11 2013 umeabot <umeabot> 2:2.0.17-2.mga3
+ Revision: 349565
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 07 2011 fwang <fwang> 2:2.0.17-1.mga2
+ Revision: 178086
- new version 2.0.17

* Mon Jul 18 2011 fwang <fwang> 2:2.0.16-1.mga2
+ Revision: 125907
- new version 2.0.16

* Thu Jan 20 2011 ahmad <ahmad> 2:2.0.15-1.mga1
+ Revision: 26042
- imported package eigen2


* Mon Aug 16 2010 Emmanuel Andry <eandry@mandriva.org> 2:2.0.15-1mdv2011.0
+ Revision: 570536
- New version 2.0.15
- drop p0 (merged upstream)

* Sun Nov 15 2009 Funda Wang <fwang@mandriva.org> 2:2.0.9-1mdv2010.1
+ Revision: 466154
- fix pkgconfig dir
- new version 2.0.9

* Tue Oct 06 2009 Funda Wang <fwang@mandriva.org> 2:2.0.6-3mdv2010.0
+ Revision: 454706
- fix obsoletes

* Tue Oct 06 2009 Funda Wang <fwang@mandriva.org> 2:2.0.6-2mdv2010.0
+ Revision: 454505
- add more obsoletes

* Sat Sep 26 2009 Frederik Himpe <fhimpe@mandriva.org> 2:2.0.6-1mdv2010.0
+ Revision: 449387
- Update to new version 2.0.6

* Mon Aug 24 2009 Frederik Himpe <fhimpe@mandriva.org> 2:2.0.5-1mdv2010.0
+ Revision: 420513
- Update to new version 2.0.5

* Sat Aug 01 2009 Frederik Himpe <fhimpe@mandriva.org> 2:2.0.4-1mdv2010.0
+ Revision: 407496
- Update to new version 2.0.4

* Fri Jun 26 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 2:2.0.3-1mdv2010.0
+ Revision: 389574
- Use latest stable release

* Mon May 25 2009 Funda Wang <fwang@mandriva.org> 1:2.0.52-2mdv2010.0
+ Revision: 379350
- move pkgconfig file into datadir

* Sun May 24 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:2.0.52-1mdv2010.0
+ Revision: 379213
- New version
  Disable tests for the moment
- Sync sources
- Update to 2.0.52

  + Funda Wang <fwang@mandriva.org>
    - 2.0.0 final

* Sun Jan 25 2009 Giuseppe Ghibò <ghibo@mandriva.com> 1:2.0-0.beta6.1mdv2009.1
+ Revision: 333396
- Update to release 2.0beta6.
- Add docs.
- Initial support for checking (trough --with build_check rpm flag).

* Tue Nov 04 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:2.0-0.beta1.2mdv2009.1
+ Revision: 299669
- Udpate eigen snapshot

* Thu Sep 18 2008 Helio Chissini de Castro <helio@mandriva.com> 1:2.0-0.beta1.1mdv2009.0
+ Revision: 285689
- Deploying eigen2
- This is eigen2.
- No need extra requires
- Eigen2 beta1 requires by koffice beta1

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 2.0-2.alpha4.1mdv2009.0
+ Revision: 264425
- rebuild early 2009.0 package (before pixel changes)

* Thu Apr 17 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.0-0.alpha4.1mdv2009.0
+ Revision: 195340
- Update to eigen 2 alpha4

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.0.5-2mdv2008.1
+ Revision: 170810
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- fix description-line-too-long
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jul 06 2007 Helio Chissini de Castro <helio@mandriva.com> 1.0.5-1mdv2008.0
+ Revision: 48943
- import eigen-1.0.5-1mdv2008.0

